# Fragments

Provides a common functionality to be able to use layout fragments inside Rails applications.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'fragments'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install fragments

## Usage

Provide configuration for the library:

```ruby
::Fragments.config do |config|
  config.host = ENV["FRAGMENT_HOST"]
  config.uri_prefixes = {
    nl: ENV["FRAGMENT_URI_PREFIX_NL"],
    fr: ENV["FRAGMENT_URI_PREFIX_FR"]
  }
  config.is_enabled = ENV["USE_FRAGMENTS"] == "true"
end
```

Include extention for controller, which provides needed view helpers:

```ruby
class ApplicationController
  include Fragments::Helpers::Controller
end
```

Inside view you will have the following helper methods:

* `header_html` - provides a HTML structure for the header
* `common_html` - provides common assets
* `footer_html` - provides a HTML structure for the footer

Also you will have an ability to check are fragments enabled or not by calling:

`::Fragments.enabled?`
